explain_tcsetattr_or_die(3)

NAME
explain_tcsetattr_or_die - set terminal attributes and report errors
    "set terminal attributes and report errors"

SYNOPSIS
#include <libexplain/tcsetattr.h>

void explain_tcsetattr_or_die(int fildes, int options, const struct termios *data);
int explain_tcsetattr_on_error(int fildes, int options, const struct termios *data);

DESCRIPTION
The explain_tcsetattr_or_die function is used to call the tcsetattr(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcsetattr(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tcsetattr_on_error function is used to call the tcsetattr(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tcsetattr(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the tcsetattr(3) system call.

options
    The options, exactly as to be passed to the tcsetattr(3) system call.

data
    The data, exactly as to be passed to the tcsetattr(3) system call.

RETURN VALUE
The explain_tcsetattr_or_die function only returns on success, see tcsetattr(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tcsetattr_on_error function always returns the value return by the wrapped tcsetattr(3) system call.

EXAMPLE
The explain_tcsetattr_or_die function is intended to be used in a fashion similar to the following example:
    explain_tcsetattr_or_die(fildes, options, data);

SEE ALSO

tcsetattr(3)
    set terminal attributes

explain_tcsetattr(3)
    explain tcsetattr(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller